model:
  target: flae.models.FlAE
  params:
    cover_key: image
    secret_key: secret
    secret_len: 100
    resolution: 256
    use_ema: false
    secret_encoder_config:
      target: flae.models.SecretEncoder
      params:
        return_residual: false
        act: tanh
        secret_len: 100
        resolution: 256
    secret_decoder_config:
      target: flae.models.SecretDecoder
      params:
        arch: resnet18
        secret_len: 100
        resolution: 224
    loss_config:
      target: cldm.loss.ImageSecretLoss
      params:
        recon_type: yuv
        recon_weight: 1.5
        perceptual_weight: 1.0
        kl_weight: 0.0
        secret_weight: 10.0
        max_image_weight_ratio: 10.0
    noise_config:
      target: cldm.transformations2.TransformNet
      params:
        ramp: 10000
        crop_mode: resized_crop
        gamma: false
data:
  target: tools.imgcap_dataset.DataModuleFromConfig
  params:
    batch_size: 32
    num_workers: 4
    wrap: false
    use_worker_init_fn: true
    train:
      target: tools.image_dataset.ImageFolder
      params:
        data_dir: /mnt/fast/nobackup/scratch4weeks/tb0035/projects/diffsteg/data/mir1M/images
        data_list: /mnt/fast/nobackup/users/tb0035/projects/diffsteg/ControlNet/prep_data/mir_train2.csv
        resize: 256
        secret_len: 100
    validation:
      target: tools.image_dataset.ImageFolder
      params:
        data_dir: /mnt/fast/nobackup/scratch4weeks/tb0035/projects/diffsteg/data/mir1M/images
        data_list: /mnt/fast/nobackup/users/tb0035/projects/diffsteg/ControlNet/prep_data/mir_val2.csv
        resize: 256
        secret_len: 100
lightning:
  callbacks:
    image_logger:
      target: cldm.logger.ImageLogger
      params:
        batch_frequency: 5000
        max_images: 4
        increase_log_steps: false
        fixed_input: true
    progress_bar:
      target: pytorch_lightning.callbacks.ProgressBar
      params:
        refresh_rate: 100
    checkpoint:
      target: pytorch_lightning.callbacks.ModelCheckpoint
      params:
        verbose: true
        filename: '{epoch:06}-{step:09}'
        every_n_train_steps: 10000
  trainer:
    benchmark: true
    base_learning_rate: 4.0e-06
    accumulate_grad_batches: 1
    max_epochs: 50
